Package org.eclipse.emf.compare.internal.spec

## Class ResourceAttachmentChangeSpec

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.compare.impl.DiffImpl
          - - org.eclipse.emf.compare.impl.ResourceAttachmentChangeImpl
            - - org.eclipse.emf.compare.internal.spec.ResourceAttachmentChangeSpec

All Implemented Interfaces:
  `Notifier`, `Diff`, `ResourceAttachmentChange`, `EObject`, `EStructuralFeature.Internal.DynamicValueHolder`, `InternalEObject`

    public class ResourceAttachmentChangeSpec
    extends ResourceAttachmentChangeImpl

This specialization of the `ResourceAttachmentChangeImpl` class allows us to define the derived features and operations implementations.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`MinimalEObjectImpl.Container.Dynamic`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`MinimalEObjectImpl.Container`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList, BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`InternalEObject.EStore`

### Field Summary

### Fields inherited from class org.eclipse.emf.compare.impl.ResourceAttachmentChangeImpl

`copyright, RESOURCE_URI_EDEFAULT, resourceURI`

### Fields inherited from class org.eclipse.emf.compare.impl.DiffImpl

`conflict, equivalence, impliedBy, implies, kind, KIND_EDEFAULT, primeRefining, refinedBy, refines, requiredBy, requires, source, SOURCE_EDEFAULT, state, STATE_EDEFAULT`

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Constructor Summary

Constructors
`ResourceAttachmentChangeSpec()`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`Match` `basicGetMatch()`
`void` `copyLeftToRight()` Deprecated.
`void` `copyRightToLeft()` Deprecated.
`void` `discard()`
`void` `setMatch​(Match newMatch)`

### Methods inherited from class org.eclipse.emf.compare.impl.ResourceAttachmentChangeImpl

`eGet, eIsSet, eSet, eStaticClass, eUnset, getResourceURI, setResourceURI, toString`

### Methods inherited from class org.eclipse.emf.compare.impl.DiffImpl

`basicGetConflict, basicGetEquivalence, basicGetPrimeRefining, basicSetConflict, basicSetEquivalence, eInverseAdd, eInverseRemove, getConflict, getEquivalence, getImpliedBy, getImplies, getKind, getMatch, getPrimeRefining, getRefinedBy, getRefines, getRequiredBy, getRequires, getSource, getState, setConflict, setEquivalence, setKind, setSource, setState`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.compare.Diff

`getConflict, getEquivalence, getImpliedBy, getImplies, getKind, getMatch, getPrimeRefining, getRefinedBy, getRefines, getRequiredBy, getRequires, getSource, getState, setConflict, setEquivalence, setKind, setSource, setState`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Constructor Detail

#### ResourceAttachmentChangeSpec

    public ResourceAttachmentChangeSpec()

### Method Detail

#### copyLeftToRight

    @Deprecated
    public void copyLeftToRight()

Deprecated.

Specified by:
  `copyLeftToRight` in interface `Diff`
Overrides:
  `copyLeftToRight` in class `DiffImpl`
See Also:
  `DiffImpl.copyLeftToRight()`

#### copyRightToLeft

    @Deprecated
    public void copyRightToLeft()

Deprecated.

Specified by:
  `copyRightToLeft` in interface `Diff`
Overrides:
  `copyRightToLeft` in class `DiffImpl`
See Also:
  `DiffImpl.copyRightToLeft()`

#### discard

    public void discard()

Specified by:
  `discard` in interface `Diff`
Overrides:
  `discard` in class `DiffImpl`
See Also:
  `DiffImpl.discard()`

#### basicGetMatch

    public Match basicGetMatch()

Overrides:
  `basicGetMatch` in class `DiffImpl`
See Also:
  `DiffImpl.basicGetMatch()`

#### setMatch

    public void setMatch​(Match newMatch)

Specified by:
  `setMatch` in interface `Diff`
Overrides:
  `setMatch` in class `DiffImpl`
Parameters:
  `newMatch` - the new value of the 'Match' reference.
See Also:
  `DiffImpl.setMatch(org.eclipse.emf.compare.Match)`